#
# Copyright (c) 2001 LAAS/CNRS 
#
# Florent Lamiraux, David Bonnafous
#
# $id$
#


##
## Dessin d'hilare2 simplifie 
##
proc h2box {{l "unload"}} {

    object H2box {
	cullFace True
	concave False
	color 200 200 200
	# prisme de base - partie inferieure
	prism 4 0.0 0.0 0.5 \
	    -.60 -.30 .26 \
	    -.60 .30 .26 \
	    .60 .30 .26 \
	    .60 -.30 .26
    }
    object H2box2 {
	cullFace True
	concave False
	color 000 200 200
	# prisme de base - partie inferieure
	prism 4 0.0 0.0 0.2 \
	    -.05 -.05 .75 \
	    -.05 .05 .75 \
	    .05 .05 .75 \
	    .05 -.05 .75
    }
}

#le meme avec d'autres couleurs...
proc h2boxc {{l "unload"}} {

    object H2boxc {
	cullFace True
	concave False
	color 200 0 0
	# prisme de base - partie inferieure
	prism 4 0.0 0.0 0.5 \
	    -.60 -.30 .26 \
	    -.60 .30 .26 \
	    .60 .30 .26 \
	    .60 -.30 .26
    }
    object H2box2c {
	cullFace True
	concave False
	color 200 0 0
	# prisme de base - partie inferieure
	prism 4 0.0 0.0 0.2 \
	    -.05 -.05 .75 \
	    -.05 .05 .75 \
	    .05 .05 .75 \
	    .05 -.05 .75
    }
}


proc h2boxT {{l "unload"}} {

    object H2boxT {
	cullFace True
	concave False
	color 200 200 200
	# prisme de base - partie inferieure
	prism 4 0.0 0.0 0.5 \
	    -.60 -.30 .26 \
	    -.60 .30 .26 \
	    .60 .30 .26 \
	    .60 -.30 .26
    }
#    object H2box2T {
#	cullFace True
#	concave False
#	color 000 200 200
	# prisme de base - partie inferieure
#	prism 4 0.0 0.0 0.2 \
\#	    -.05 -.05 .75 \
\#	    -.05 .05 .75 \
\#	    .05 .05 .75 \
\#	    .05 -.05 .75
#    }
}

proc h2boxTc {{l "unload"}} {

    object H2boxTc {
	cullFace True
	concave False
	color 200 0 0
	# prisme de base - partie inferieure
	prism 4 0.0 0.0 0.5 \
	    -.60 -.30 .26 \
	    -.60 .30 .26 \
	    .60 .30 .26 \
	    .60 -.30 .26
    }
    object H2box2Tc {
	cullFace True
	concave False
	color 200 0 0
	# prisme de base - partie inferieure
	prism 4 0.0 0.0 0.2 \
	    -.05 -.05 .75 \
	    -.05 .05 .75 \
	    .05 .05 .75 \
	    .05 -.05 .75
    }
}

#La super platform qui indique la direction de la remorque
proc simpleTrailer phi {
    global trailerPosLink remorquePosCentre 
    set trailerPosLink -0.65
    set trailerPosCentre -1.55

    pushMatrix
#    translate  $trailerPosLink 0 0 
    rotate $phi 0 0 1
#    translate [expr $trailerPosCentre - $trailerPosLink] 0 0

    object H2box3T {
	cullFace True
	concave False
	color 000 200 200
	# prisme de base - partie inferieure
	prism 3 0.0 0.0 0.2 \
	    -.05 -.05 .75 \
	    .09 .0 .75 \
	    -.05 .05 .75
    }

#    trailerGeometry
    popMatrix
}

# trailer box geometry
proc trailerBoxGeometry { } {

    cullFace True
    object trailerBoxy {
	color 0 0 0
	#plateforme
	box .0 .0 .17 .6 .7 .015

    }
}

#trailer box
proc trailerBox phi {
    global trailerPosLink remorquePosCentre 
    set trailerPosLink -0.65
    set trailerPosCentre -1.40

    pushMatrix
    translate  $trailerPosLink 0 0 
    rotate $phi 0 0 1
    translate [expr $trailerPosCentre - $trailerPosLink] 0 0
    trailerBoxGeometry
    popMatrix
}



#proc h2box_old {{l unloaded}} {
#
#    object H2boxOld {  
#	 cullFace True
#
#	 color 200 200 200
#	 # prisme de base
#	 prism 8 0.0 0.0 0.530 \
#	     -.60 -.29 0.29\
#	     -.60 .29 0.29\
#	     -.54 .351 0.29 \
#	     .54 .351 0.29\
#	     .60  .29 0.29\
#	     .60 -.29 0.29 \
#	     .54 -.351 0.29 \
#	     -.54 -.351 0.29
#
#	 color 30 30 30 	
#	 # sick
#	 color 20 20 200
#	 box .375 .0 .55 .15 .15 .07
#	 box .325 .0 .47 .05 .15 .08
#	 box .375 .0 .45 .15 .15 .02
#	 color 20 20 20
#	 box .39 .0 .47 .08 .10 .08
#
#
#	 # plateau superieur
#	 box -.04 0.0 .77 .56 .64 .120
#	 # support de la platine 
#	 color 100 100 100
#	 box .40 .0 .77 .22 .23 .08
#	 # moteur de la platine
#	 color 255 255 255
#	 cylinder .40 .0 .84 z .22 .09
#	 
#	 # bordure du prisme de base
#	 color 30 30 30
#	 #prism 8 0.0 0.0 0.005 \
#	     -.601 -.29 .774 \
#	    -.601 .29 .774 \
#	     -.54 .352 .774 \
#	     .54 .352 .774 \
#	     .601 .29 .774 \
#	     .601 -.29 .774 \
#	     .54 -.352 .774 \
#	     -.54 -.352 .774
#	 # bumper
#	 prism 8 0.0 0.0 0.04 \
#	     -.655 -.29   .25\
#	     -.655 .29    .25\
#	     -.54  .405   .25\
#	     .54   .405   .25\
#	     .655  .29    .25\
#	     .655  -.29   .25\
#	     .54   -.405  .25\
#	     -.54  -.405	 .25
#	 # ultra-sons
#	 box  .365  .352 .31  .04 .02 .12; # us1
#	 box  .499  .352 .31  .04 .02 .12; # us2
#	 box  .602  .15  .31  .02 .04 .12; # us5
#	 box  .602  .052 .31  .02 .04 .12; # us6
#	 box  .602 -.052 .31  .02 .04 .12; # us7
#	 box  .602 -.15  .31  .02 .04 .12; # us 8
#	 box  .499 -.352 .31  .04 .02 .12; # us 11
#	 box  .365 -.352 .31  .04 .02 .12; # us12
#	 box  .22  -.358 .365 .04 .02 .12; # us 13
#	 box  .075 -.358 .365 .04 .02 .12; # us 14
#	 box -.045 -.358 .365 .04 .02 .12; # us 15
#	 box -.195 -.358 .365 .04 .02 .12; # us 16
#	 box -.365 -.352 .31  .04 .02 .12; # us 17
#	 box -.499 -.352 .31  .04 .02 .12; # us 18
#	 box -.602 -.150 .31  .02 .04 .12; # us 21
#	 box -.602 -.052 .31  .02 .04 .12; # us 22
#	 box -.602  .052 .31  .02 .04 .12; # us 23
#	 box -.602  .150 .31  .02 .04 .12; # us 24
#	 box -.499  .352 .31  .04 .02 .12; # us 27
#	 box -.365  .352 .31  .04 .02 .12; # us 28
#	 box -.195  .358 .365 .04 .02 .12; # us 29
#	 box -.045  .358 .365 .04 .02 .12; # us 30
#	 box  .075  .358 .365 .04 .02 .12; # us 31
#	 box  .22   .365 .358 .04 .02 .12; # us 32
#	 # Roue motrices
#	 color 0 80 50
#	 cylinder 0.0  0.28 0.15 y 0.30 0.07; # droite
#	 cylinder 0.0 -0.35 0.15 y 0.30 0.07; # gauche
#	 # roues folles
#	 cylinder  .58  .25 .075 y .15 .1; # avant droite
#	 cylinder  .58 -.35 .075 y .15 .1; # avant gauche
#	 cylinder -.42  .25 .075 y .15 .1; # arriere droite
#	 cylinder -.42 -.35 .075 y .15 .1; # arriere gauche 
#	 color 150 150 150
#	 cylinder  .0   .35  .15  y .25  .001;	# 
#	 cylinder  .0  -.351 .15  y .25  .001;	# 
#	 cylinder  .58 -.351 .075 y .125 .102; # 
#	 cylinder  .58  .249 .075 y .125 .102; # 
#	 cylinder -.42  .249 .075 y .125 .102; # 
#	 cylinder -.42 -.351 .075 y .125 .102; # 
#	 # bloc moteur
#	 box 0.05 0.0 0.05 0.25 0.50 0.3;
#	 # axes support roues folles
#	 color 200 100 0
#	 cylinder  .5 -.3 .225 z .09 .025; # avant gauche
#	 cylinder  .5  .3 .225 z .09 .025; # avant droit
#	 cylinder -.5  .3 .225 z .09 .025; # arriere droit
#	 cylinder -.5 -.3 .225 z .09 .025;	# arriere gauche
#	 # support de la roue folle avant droite
#	 prism 5 0.0 0.03 0.0 \
#	     .455 .315 .225 \
#	     .455 .315 .045 \
#	     .575 .315 .0   \
#	     .655 .315 .025 \
#	     .545 .315 .225;
#	 # support de la roue folle avant gauche
#	 prism 5 0.0 0.03 0.0 \
#	     .455 -.315 .225 \
#	     .455 -.315 .045 \
#	     .575 -.315 .0   \
#	     .655 -.315 .025 \
#	     .545 -.315 .225;
#	 # support de la roue folle arriere droite
#	 prism 5 0.0 0.03 0.0 \
#	     -.545 .285 .225 \
#	     -.545 .285 .045 \
#	     -.425 .285 .0   \
#	     -.345 .285 .025 \
#	     -.455 .285 .225;
#	 # support de la roue folle arriere gauche
#	 prism 5 0.0 0.03 0.0 \
#	     -.545 -.315 .225 \
#	     -.545 -.315 .045 \
#	     -.425 -.315 .0   \
#	     -.345 -.315 .025 \
#	     -.455 -.315 .225;
#	 # axe des roues motrices
#	 color 80 80 80
#	 cylinder 0.0 -0.352 0.15 y 0.08 0.704
#    }
#}
#
