/**
 ** Copyright (c) 1997 LAAS/CNRS 
 **
 ** Matthieu Herrb - Wed Apr 30 1997
 **
 ** $Source$
 ** $Revision$
 ** $Date$
 ** 
 **/
#ident "$Id$"

#include <stdio.h>
#include <gdhe/GDHE.h>

int
main(int argc, char *argv[])
{
    char buf[256];

    if (argc != 2) {
	fprintf(stderr, "syntaxe: %s <host>\n", argv[0]);
	exit(1);
    }
    if (!get_connection(argv[1])) {
	fprintf(stderr, "cannot get connection to %s\n", argv[1]);
	exit(1);
    }
    while (1) {
	printf("gdhe> ");
	fgets(buf, sizeof(buf), stdin);
	/* strip newline */
	buf[strlen(buf) - 1] = '\0';
	if (strcmp(buf, "quit") == 0 || feof(stdin)) {
	    disconnect();
	    break;
	}
	eval_expression(buf);
    }
    exit(0);
}
